gr::gsm::universal_ctrl_chans_demapper_impl Class Reference

`#include <universal_ctrl_chans_demapper_impl.h>`

Inheritance diagram for gr::gsm::universal_ctrl_chans_demapper_impl:

## Public Member Functions

| universal_ctrl_chans_demapper_impl (unsigned int timeslot_nr, const std::vector< int > &downlink_starts_fn_mod51, const std::vector< int > &downlink_channel_types, const std::vector< int > &downlink_subslots, const std::vector< int > &uplink_starts_fn_mod51, const std::vector< int > &uplink_channel_types, const std::vector< int > &uplink_subslots)
| ~universal_ctrl_chans_demapper_impl ()
void | filter_ctrl_chans (pmt::pmt_t msg)

## Additional Inherited Members

Public Types inherited from gr::gsm::universal_ctrl_chans_demapper
typedef std::shared_ptr< universal_ctrl_chans_demapper > | sptr
Static Public Member Functions inherited from gr::gsm::universal_ctrl_chans_demapper
static sptr | make (unsigned int timeslot_nr, const std::vector< int > &downlink_starts_fn_mod51, const std::vector< int > &downlink_channel_types, const std::vector< int > &downlink_subslots, const std::vector< int > &uplink_starts_fn_mod51=std::vector< int >(), const std::vector< int > &uplink_channel_types=std::vector< int >(), const std::vector< int > &uplink_subslots=std::vector< int >())
| Return a shared_ptr to a new instance of gsm::universal_ctrl_chans_demapper.

## Constructor & Destructor Documentation

## universal_ctrl_chans_demapper_impl()

gr::gsm::universal_ctrl_chans_demapper_impl::universal_ctrl_chans_demapper_impl | ( | unsigned int | timeslot_nr,
|  | const std::vector< int > & | downlink_starts_fn_mod51,
|  | const std::vector< int > & | downlink_channel_types,
|  | const std::vector< int > & | downlink_subslots,
|  | const std::vector< int > & | uplink_starts_fn_mod51,
|  | const std::vector< int > & | uplink_channel_types,
|  | const std::vector< int > & | uplink_subslots )

## ~universal_ctrl_chans_demapper_impl()

gr::gsm::universal_ctrl_chans_demapper_impl::~universal_ctrl_chans_demapper_impl | ( |  | ) |

## Member Function Documentation

## filter_ctrl_chans()

void gr::gsm::universal_ctrl_chans_demapper_impl::filter_ctrl_chans | ( | pmt::pmt_t | msg | ) |

The documentation for this class was generated from the following file:

- universal_ctrl_chans_demapper_impl.h